/* -*- Mode: C; indent-tabs-mode: t; c-basic-offset: 8; tab-width: 8 -*- */


#ifndef THUNDER_NAUTILUS_VIEW_H
#define THUNDER_NAUTILUS_VIEW_H

#include <gtk/gtklabel.h>
#include <libnautilus/nautilus-view.h>

#define THUNDER_TYPE_NAUTILUS_VIEW	     (thunder_nautilus_view_get_type ())
#define THUNDER_NAUTILUS_VIEW(obj)	     (GTK_CHECK_CAST ((obj), THUNDER_TYPE_NAUTILUS_VIEW, ThunderNautilusView))
#define THUNDER_NAUTILUS_VIEW_CLASS(klass)    (GTK_CHECK_CLASS_CAST ((klass), THUNDER_TYPE_NAUTILUS_VIEW, ThunderNautilusViewClass))
#define THUNDER_IS_NAUTILUS_VIEW(obj)	     (GTK_CHECK_TYPE ((obj), THUNDER_TYPE_NAUTILUS_VIEW))
#define THUNDER_IS_NAUTILUS_VIEW_CLASS(klass) (GTK_CHECK_CLASS_TYPE ((klass), THUNDER_TYPE_NAUTILUS_VIEW))

typedef struct ThunderNautilusViewDetails ThunderNautilusViewDetails;

typedef struct {
	NautilusView base;
	ThunderNautilusViewDetails *details;
} ThunderNautilusView;

typedef struct {
	NautilusViewClass base;
} ThunderNautilusViewClass;

/* GtkObject support */
GtkType       thunder_nautilus_view_get_type          (void);

#endif /* THUNDER_NAUTILUS_VIEW_H */
